package com.huatek.busi.mapper;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import com.huatek.frame.base.dto.UserDTO;
import com.huatek.frame.base.vo.UserVO; 
/**
 * @author key_dong
 *
 */
@Repository
public interface LoginMapper { 
	/**
	 * 用户登录
	 * @param user
	 * @return
	 */
	UserVO login(UserDTO user);
	
	 /**
	  * 根据用户id获取用户组织
	  * @param param
	  * @return
	  */
	String  findByUserGroup(@Param("id")String id);
	
	 /**
	  * 根据用户id获取用户角色
	  * @param param
	  * @return
	  */
	String  findByUserRoles(@Param("id")String id);
}
